import 'package:json_annotation/json_annotation.dart';

part 'internalConfigurations.g.dart';

@JsonSerializable()
class InternalConfigurations {
  bool hasDynamicTutorial;
  bool useNewCheckout;
  bool useOnlyLocalAssets;
  bool useLegacyCatalogAPI;
  bool useLegacyCommerceAPI;
  bool useLegacyMarketingAPI;
  bool useLegacyRetailerAPI;
  bool supportsDebitCard;
  String urlBaseLori;
  AppProductPageType productPageType;
  bool useNewDealerRanking;
  String minimalAppVersion;
  @JsonKey(defaultValue: false)
  bool useGeoCatalog;

InternalConfigurations();
  factory InternalConfigurations.fromJson(Map<String, dynamic> json) =>
      _$InternalConfigurationsFromJson(json);

  Map<String, dynamic> toJson() => _$InternalConfigurationsToJson(this);
}

enum AppProductPageType {
  @JsonValue(0)
  standard,
  @JsonValue(1)
  clothing,
  @JsonValue(2)
  luxe
}
